uk.gov.hmrc.ct.ct600a.v3

# Loan

###
Related Doc: package v3

#### case class Loan(id: String, name: Option[String], amount: Option[Int], amountBefore06042016: Option[Int] = None, repaymentWithin9Months: Option[Repayment] = None, otherRepayments: List[Repayment] = List.empty, writeOffs: List[WriteOff] = List.empty) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Loan
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Loan(id: String, name: Option[String], amount: Option[Int], amountBefore06042016: Option[Int] = None, repaymentWithin9Months: Option[Repayment] = None, otherRepayments: List[Repayment] = List.empty, writeOffs: List[WriteOff] = List.empty)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val amount: Option[Int]

5. #### val amountBefore06042016: Option[Int]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val id: String

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val name: Option[String]

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val otherRepayments: List[Repayment]

18. #### val repaymentWithin9Months: Option[Repayment]

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def totalAmountBeforeApril2016RepaymentsAndWriteOffs: Int

21. #### def totalAmountRepaymentsAndWriteOffs: Int

22. #### def validate(boxRetriever: CT600ABoxRetriever, loansToParticipators: LoansToParticipators): Set[CtValidation]

23. #### def validateLoan(invalid: Boolean, errorMsg: String, errorArgs: Option[Seq[String]] = None): Set[CtValidation]

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### val writeOffs: List[WriteOff]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped